1.1 准备 - 《简单易懂的Dart》

1.1.1 Dart所需软件

Dart本身并不内嵌在你使用的操作系统中,所以必须下载后才能使用.

一般情况下,我们需要三个软件,分别是Dart Editor,SDK和Dartium.

Dart Editor是编辑器,支持Dart的语法高亮和关键字提示,是基于Eclipse进行二次开发的成果.

SDK提供一些Dart有关的工具,包括将Dart编译,转换为JavaScript等.

Dartium是内嵌了Dart虚拟机的Chromium,方便我们调试代码.

1.1.2 下载Dart

我们可以在Dart语言的官方网站进行下载.

官方网站:http://www.dartlang.org/

点击Download Now,将会跳转到下载页面.

如果你查看此文章的时候Dart的官网改版了,尝试访问http://www.dartlang.org/downloads.html.

在新的页面中找到Everything you need,在这可以一次性下载到所需的软件.

选择下载链接时请依据你的操作系统版本进行选择.

1.1.3 安装Dart

在硬盘中找到刚刚下载的Dart,将它解压缩.

至此Dart安装完成.

解压缩后我们看到的是类似上图的目录.

其中DartEditor.exe是Dart的编辑器,后面的教程中将经常使用它.

你可以把Dart放置到特定的目录,然后设置桌面快捷方式,在使用上将会方便很多.

1.1.4 运行DartEditor

如果你使用的是Windows系统,这一步没什么难的,双击DartEditor.exe即可.

其他平台的使用方法我没专门查询过,不过既然Dart是Web上的编程语言,编辑器又是基于Eclipse的,跨平台性很棒,使用方法大同小异.

如果出现这个提示,请安装 Java Runtime Environment(JRE)或者Java Development Kit(JDK).

如果已安装过JRE或者JDK,运行会显示该窗口,这是DartEditor的载入画面.

出现此画面,那么你的Dart旅途就算正式开始了.